<?php

namespace App\Controller\Admin;

use App\Entity\Product;
use App\Entity\QuantityUnit;
use App\Entity\User;
use EasyCorp\Bundle\EasyAdminBundle\Config\Dashboard;
use EasyCorp\Bundle\EasyAdminBundle\Config\MenuItem;
use EasyCorp\Bundle\EasyAdminBundle\Controller\AbstractDashboardController;
use EasyCorp\Bundle\EasyAdminBundle\Router\AdminUrlGenerator;
use Symfony\Component\HttpFoundation\Response;
use Symfony\Component\Routing\Annotation\Route;

class DashboardController extends AbstractDashboardController
{
    public function __construct(private AdminUrlGenerator $adminUrlGenerator)
    {
    }

    #[Route('/admin', name: 'admin')]
    public function index(): Response
    {
        return $this->redirect($this->adminUrlGenerator->setController(ProductCrudController::class)->generateUrl());
    }

    public function configureDashboard(): Dashboard
    {
        return Dashboard::new()
            ->setTitle('IceCold');
    }

    public function configureMenuItems(): iterable
    {
        yield MenuItem::linktoRoute('Back to home', 'fas fa-home', 'home');

        yield MenuItem::section('Products', 'fas fa-folder-open');
        yield MenuItem::linkToDashboard('Dashboard', 'fa fa-home');
        yield MenuItem::linkToCrud('Products', 'fas fa-list', Product::class);
        yield MenuItem::linkToCrud('Quantity units', 'fas fa-list', QuantityUnit::class);

        yield MenuItem::section('Administration', 'fas fa-folder-open');
        yield MenuItem::linkToCrud('User', 'fas fa-list', User::class);
    }
}
