<?php

namespace App\Controller\Admin;

use App\Entity\QuantityUnit;
use EasyCorp\Bundle\EasyAdminBundle\Config\Crud;
use EasyCorp\Bundle\EasyAdminBundle\Controller\AbstractCrudController;
use EasyCorp\Bundle\EasyAdminBundle\Field\AssociationField;
use EasyCorp\Bundle\EasyAdminBundle\Field\BooleanField;
use EasyCorp\Bundle\EasyAdminBundle\Field\IdField;
use EasyCorp\Bundle\EasyAdminBundle\Field\TextEditorField;
use EasyCorp\Bundle\EasyAdminBundle\Field\TextField;

class QuantityUnitCrudController extends AbstractCrudController
{
    public static function getEntityFqcn(): string
    {
        return QuantityUnit::class;
    }

    public function configureFields(string $pageName): iterable
    {
        $fields = [];

        switch ($pageName) {
            case Crud::PAGE_INDEX:
            case Crud::PAGE_DETAIL:
                $fields[] = IdField::new('id');
        }

        $fields[] = TextField::new('name');
        $fields[] = TextEditorField::new('description');

        return $fields;
    }

}
